/* Styles: */
 .icon {
	 position: relative;
	 background: white;
	 cursor: pointer;
	 margin: auto;
	 padding: 0;
	 border-radius: 50%;
	 height: 150px;
	 width: 150px;
	 line-height: 150px;
	 text-align: center;
	 font-size: 2.75em;
	 font-weight: bold;
	 transition: 0.24s 0.2s;
}
 .icon:hover {
	 background: rgba(191, 208, 212, 0.75);
}
 .menu {
	 position: absolute;
	 top: -75px;
	 left: -75px;
	 border: 150px solid transparent;
	 cursor: default;
	 border-radius: 50%;
	 transform: scale(0);
	 transition: transform 1.4s 0.07s;
	 z-index: -5;
}
 .spread {
	 position: absolute;
	 top: -100px;
	 left: -100px;
	 transform-origin: 100px 100px;
	 transition: all 0.5s 0.1s;
}

 	/*.icon:hover {
 Where all the MAGIC happens: 
}*/
 .icon:hover .menu {
	 transition: transform 0.4s 0.08s, z-index 0s 0.5s;
	 transform: scale(1);
	 z-index: 5;
}
 .icon:hover .spread, .icon:hover .unit {
	 transition: all 0.6s;
}
 .icon:hover .spread1:nth-child(1) {
	 transition-delay: 0.02s;
	 transform: rotate(45deg);
}
 .icon:hover .spread1:nth-child(1) .unit {
	 transition-delay: 0.02s;
	 transform: rotate(675deg);
}
 .icon:hover .spread2:nth-child(2) {
	 transition-delay: 0.04s;
	 transform: rotate(65deg);
}
 .icon:hover .spread2:nth-child(2) .unit {
	 transition-delay: 0.04s;
	 transform: rotate(655deg);
}
 .icon:hover .spread:nth-child(3) {
	 transition-delay: 0.06s;
	 transform: rotate(85deg);
}
 .icon:hover .spread:nth-child(3) .unit {
	 transition-delay: 0.06s;
	 transform: rotate(635deg);
}
 .icon:hover .spread:nth-child(4) {
	 transition-delay: 0.08s;
	 transform: rotate(105deg);
}
 .icon:hover .spread:nth-child(4) .unit {
	 transition-delay: 0.08s;
	 transform: rotate(615deg);
}
 .icon:hover .spread:nth-child(5) {
	 transition-delay: 0.08s;
	 transform: rotate(125deg);
}
 .icon:hover .spread:nth-child(5) .unit {
	 transition-delay: 0.1s;
	 transform: rotate(595deg);
}
 .icon:hover .spread:nth-child(6) {
	 transition-delay: 0.1s;
	 transform: rotate(145deg);
}
 .icon:hover .spread:nth-child(6) .unit {
	 transition-delay: 0.24s;
	 transform: rotate(575deg);
}
 .icon:hover .spread:nth-child(7) {
	 transition-delay: 0.14s;
	 transform: rotate(165deg);
}
 .icon:hover .spread:nth-child(7) .unit {
	 transition-delay: 0.28s;
	 transform: rotate(555deg);
}
 .icon:hover .spread:nth-child(8) {
	 transition-delay: 0.16s;
	 transform: rotate(185deg);
}
 .icon:hover .spread:nth-child(8) .unit {
	 transition-delay: 0.32s;
	 transform: rotate(535deg);
}
 .icon:hover .spread:nth-child(9) {
	 transition-delay: 0.18s;
	 transform: rotate(205deg);
}
 .icon:hover .spread:nth-child(9) .unit {
	 transition-delay: 0.36s;
	 transform: rotate(515deg);
}
.icon:hover .spread:nth-child(10) {
	transition-delay: 0.36s;
	transform: rotate(225deg);
}
.icon:hover .spread:nth-child(10) .unit {
	transition-delay: 0.36s;
	transform: rotate(495deg);
}

/* END .icon:hover */

 .unit {
	 position: absolute;
	 background: rgb(74, 182, 140);
	 font-size: 50%;
	 text-decoration: none;
	 width: 30px;
	 height: 30px;
	 line-height: 30px;
	 border: none!important;
	 color: rgb(255, 255, 255);
	 border-radius: 50%;
	 transition: 0.6s;
}
/* Just CodePen layout stuff: */
 body, button, ul, li {
	 margin: 0;
	 outline: 0;
	 padding: 0;
	 list-style: none;
	 text-decoration: unset!important;
}
 html, body {
	margin-top:15%;
	 height: 100%;
	 min-height: 300px;
}
 body {
	 font-family: sans-serif;
	 transform: translate3d(0, 0, 0);
}
 .icon {
	 top:20%;
	 margin-top: -55px;
}
